Set Container Environment Variables
curl --request PUT \
--url https://api.bunny.net/mc/apps/{appId}/containers/{containerId}/env \
--header 'AccessKey: <api-key>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://api.bunny.net/mc/apps/{appId}/containers/{containerId}/env"
payload = {}
headers = {
"AccessKey": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {AccessKey: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://api.bunny.net/mc/apps/{appId}/containers/{containerId}/env', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.bunny.net/mc/apps/{appId}/containers/{containerId}/env",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
]),
CURLOPT_HTTPHEADER => [
"AccessKey: <api-key>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.bunny.net/mc/apps/{appId}/containers/{containerId}/env"
payload := strings.NewReader("{}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("AccessKey", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.bunny.net/mc/apps/{appId}/containers/{containerId}/env")
.header("AccessKey", "<api-key>")
.header("Content-Type", "application/json")
.body("{}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.bunny.net/mc/apps/{appId}/containers/{containerId}/env")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["AccessKey"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"name": "<string>",
"packageId": "<string>",
"image": "<string>",
"imageName": "<string>",
"imageNamespace": "<string>",
"imageTag": "<string>",
"imageRegistryId": "<string>",
"imageDigest": "<string>",
"imagePullPolicy": "always",
"entryPoint": {
"command": "<string>",
"commandArray": [
"<string>"
],
"arguments": "<string>",
"argumentsArray": [
"<string>"
],
"workingDirectory": "<string>"
},
"probes": {
"startup": {
"initialDelaySeconds": 10,
"periodSeconds": 10,
"timeoutSeconds": 7,
"failureThreshold": 3,
"successThreshold": 1,
"httpGet": {
"request": {
"path": "<string>",
"portNumber": 32768
},
"response": {
"expectedStatusCode": "continue"
}
},
"tcpSocket": {
"request": {
"portNumber": 32768
}
},
"grpc": {
"request": {
"portNumber": 32768,
"serviceName": "<string>"
}
}
},
"readiness": {
"initialDelaySeconds": 10,
"periodSeconds": 10,
"timeoutSeconds": 7,
"failureThreshold": 3,
"successThreshold": 1,
"httpGet": {
"request": {
"path": "<string>",
"portNumber": 32768
},
"response": {
"expectedStatusCode": "continue"
}
},
"tcpSocket": {
"request": {
"portNumber": 32768
}
},
"grpc": {
"request": {
"portNumber": 32768,
"serviceName": "<string>"
}
}
},
"liveness": {
"initialDelaySeconds": 10,
"periodSeconds": 10,
"timeoutSeconds": 7,
"failureThreshold": 3,
"successThreshold": 1,
"httpGet": {
"request": {
"path": "<string>",
"portNumber": 32768
},
"response": {
"expectedStatusCode": "continue"
}
},
"tcpSocket": {
"request": {
"portNumber": 32768
}
},
"grpc": {
"request": {
"portNumber": 32768,
"serviceName": "<string>"
}
}
}
},
"environmentVariables": [
{
"name": "<string>",
"value": "<string>"
}
],
"endpoints": [
{
"id": "<string>",
"displayName": "<string>",
"publicHost": "<string>",
"type": "cdn",
"isSslEnabled": true,
"pullZoneId": "<string>",
"portMappings": [
{
"containerPort": 123,
"exposedPort": 123,
"protocols": [
"tcp"
]
}
],
"stickySessions": {
"enabled": true,
"sessionHeaders": [
"<string>"
],
"cookieName": "<string>"
},
"internalIpAddresses": [
{
"address": "<string>",
"region": "<string>"
}
],
"publicIpAddresses": [
{
"address": "<string>",
"region": "<string>"
}
]
}
],
"volumeMounts": [
{
"name": "<string>",
"mountPath": "<string>"
}
]
}{
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"errors": [
{
"message": "<string>",
"field": "<string>"
}
],
"id": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"errors": [
{
"message": "<string>",
"field": "<string>"
}
],
"id": "<string>"
}{
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"errors": [
{
"message": "<string>",
"field": "<string>"
}
],
"id": "<string>"
}{
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"errors": [
{
"message": "<string>",
"field": "<string>"
}
],
"id": "<string>"
}Containers
Set Container Environment Variables
Replaces all environment variables for a container template. All existing environment variables will be removed and replaced with the provided set.
PUT
/
apps
/
{appId}
/
containers
/
{containerId}
/
env
Set Container Environment Variables
curl --request PUT \
--url https://api.bunny.net/mc/apps/{appId}/containers/{containerId}/env \
--header 'AccessKey: <api-key>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://api.bunny.net/mc/apps/{appId}/containers/{containerId}/env"
payload = {}
headers = {
"AccessKey": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {AccessKey: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://api.bunny.net/mc/apps/{appId}/containers/{containerId}/env', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.bunny.net/mc/apps/{appId}/containers/{containerId}/env",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
]),
CURLOPT_HTTPHEADER => [
"AccessKey: <api-key>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.bunny.net/mc/apps/{appId}/containers/{containerId}/env"
payload := strings.NewReader("{}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("AccessKey", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.bunny.net/mc/apps/{appId}/containers/{containerId}/env")
.header("AccessKey", "<api-key>")
.header("Content-Type", "application/json")
.body("{}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.bunny.net/mc/apps/{appId}/containers/{containerId}/env")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["AccessKey"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"name": "<string>",
"packageId": "<string>",
"image": "<string>",
"imageName": "<string>",
"imageNamespace": "<string>",
"imageTag": "<string>",
"imageRegistryId": "<string>",
"imageDigest": "<string>",
"imagePullPolicy": "always",
"entryPoint": {
"command": "<string>",
"commandArray": [
"<string>"
],
"arguments": "<string>",
"argumentsArray": [
"<string>"
],
"workingDirectory": "<string>"
},
"probes": {
"startup": {
"initialDelaySeconds": 10,
"periodSeconds": 10,
"timeoutSeconds": 7,
"failureThreshold": 3,
"successThreshold": 1,
"httpGet": {
"request": {
"path": "<string>",
"portNumber": 32768
},
"response": {
"expectedStatusCode": "continue"
}
},
"tcpSocket": {
"request": {
"portNumber": 32768
}
},
"grpc": {
"request": {
"portNumber": 32768,
"serviceName": "<string>"
}
}
},
"readiness": {
"initialDelaySeconds": 10,
"periodSeconds": 10,
"timeoutSeconds": 7,
"failureThreshold": 3,
"successThreshold": 1,
"httpGet": {
"request": {
"path": "<string>",
"portNumber": 32768
},
"response": {
"expectedStatusCode": "continue"
}
},
"tcpSocket": {
"request": {
"portNumber": 32768
}
},
"grpc": {
"request": {
"portNumber": 32768,
"serviceName": "<string>"
}
}
},
"liveness": {
"initialDelaySeconds": 10,
"periodSeconds": 10,
"timeoutSeconds": 7,
"failureThreshold": 3,
"successThreshold": 1,
"httpGet": {
"request": {
"path": "<string>",
"portNumber": 32768
},
"response": {
"expectedStatusCode": "continue"
}
},
"tcpSocket": {
"request": {
"portNumber": 32768
}
},
"grpc": {
"request": {
"portNumber": 32768,
"serviceName": "<string>"
}
}
}
},
"environmentVariables": [
{
"name": "<string>",
"value": "<string>"
}
],
"endpoints": [
{
"id": "<string>",
"displayName": "<string>",
"publicHost": "<string>",
"type": "cdn",
"isSslEnabled": true,
"pullZoneId": "<string>",
"portMappings": [
{
"containerPort": 123,
"exposedPort": 123,
"protocols": [
"tcp"
]
}
],
"stickySessions": {
"enabled": true,
"sessionHeaders": [
"<string>"
],
"cookieName": "<string>"
},
"internalIpAddresses": [
{
"address": "<string>",
"region": "<string>"
}
],
"publicIpAddresses": [
{
"address": "<string>",
"region": "<string>"
}
]
}
],
"volumeMounts": [
{
"name": "<string>",
"mountPath": "<string>"
}
]
}{
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"errors": [
{
"message": "<string>",
"field": "<string>"
}
],
"id": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"errors": [
{
"message": "<string>",
"field": "<string>"
}
],
"id": "<string>"
}{
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"errors": [
{
"message": "<string>",
"field": "<string>"
}
],
"id": "<string>"
}{
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"errors": [
{
"message": "<string>",
"field": "<string>"
}
],
"id": "<string>"
}Path Parameters
Body
application/jsontext/jsonapplication/*+json
A JSON object where each key is the variable name and each value is the variable value
Response
Environment variables were successfully replaced.
Container template model